6.0.0-git
2019-03-20

[#12492] No releases available for package "pear.horde.org/HashTable"
Summary No releases available for package "pear.horde.org/HashTable"
Queue Horde.org Servers
Queue Version PEAR server
Type Bug
State Resolved
Priority 1. Low
Owners Horde Developers (at)
Requester samuel.wolf (at) wolf-maschinenbau (dot) de
Created 2013-07-24 (2065 days ago)
Due
Updated 2013-07-24 (2065 days ago)
Assigned 2013-07-24 (2065 days ago)
Resolved 2013-07-24 (2065 days ago)
Milestone
Patch No

History
2013-07-24 23:01:03 Michael Slusarz Taken from Jan Schneider
Taken from Michael Rubinsky
State ⇒ Resolved
 
2013-07-24 23:00:55 Git Commit Comment #8 Reply to this comment
Changes have been made in Git (master):

commit 9ec82e8567d77f2e80820c3b2bc5a7a01e2d0a35
Author: Michael M Slusarz <slusarz@horde.org>
Date:   Wed Jul 24 17:00:35 2013 -0600

     Bug #12492: Fix group permissions

  components/lib/Components/Release/Task/Package.php |    4 ++--
  1 files changed, 2 insertions(+), 2 deletions(-)

http://git.horde.org/horde-git/-/commit/9ec82e8567d77f2e80820c3b2bc5a7a01e2d0a35
2013-07-24 19:08:41 Michael Slusarz Comment #7 Reply to this comment
All our component script does is call the Pirum script over SSH. 
Pirum creates the directories via PHP's mkdir() and explicitly 
passes a mod of 0777. Probably need to call umask() before mkdir()?
I think so.  (I'm assuming that someone has gone in and manually 
updated the masks of all other packages at some point in the past to 
2775; it's only the newer packages that weren't fixed).
2013-07-24 18:43:50 Michael Rubinsky Comment #6 Reply to this comment
need to fix this and then re-run pirum.  And we need to fix the
Done.
horde-components script so that this doesn't happen in the future 
(horde_dav is broken in the same way).
All our component script does is call the Pirum script over SSH. Pirum 
creates the directories via PHP's mkdir() and explicitly passes a mod 
of 0777. Probably need to call umask() before mkdir()?
2013-07-24 18:06:08 Michael Slusarz Comment #5
Assigned to Jan Schneider
Assigned to Michael Rubinsky
Assigned to Horde DevelopersHorde Developers
State ⇒ Assigned
Reply to this comment
It's a permissions issue on pear.horde.org.  In the rest/r and rest/p 
directories:

drwxr-sr-x   2 jan     horde  4096 2013-07-17 10:43 horde_hashtable

Apparently I don't have sudo access on ftp, so someone who does will 
need to fix this and then re-run pirum.  And we need to fix the 
horde-components script so that this doesn't happen in the future 
(horde_dav is broken in the same way).
2013-07-24 17:48:01 Michael Slusarz Comment #4 Reply to this comment
And it is listed correctly via pear list-all:

horde/Horde_HashTable            1.1.0             Horde Hash Table Interface

I will re-run pirum on pear.horde.org; maybe something screwed up in 
the last run.
2013-07-24 17:31:05 Michael Slusarz Comment #3 Reply to this comment
2013-07-24 13:49:13 samuel (dot) wolf (at) wolf-maschinenbau (dot) de Comment #2 Reply to this comment
sorry typo in the package name:

root@server:~# pear install horde/Horde_HashTable-1.1.0
horde/Horde_HashTable is already installed and is the same as the 
released version 1.0.1
install failed
root@server:~# pear install horde/Horde_HashTable
horde/Horde_HashTable is already installed and is the same as the 
released version 1.0.1
install failed
2013-07-24 13:46:30 samuel (dot) wolf (at) wolf-maschinenbau (dot) de Comment #1
Type ⇒ Bug
State ⇒ Unconfirmed
Priority ⇒ 1. Low
Summary ⇒ No releases available for package "pear.horde.org/HashTable"
Queue ⇒ Horde.org Servers
Milestone ⇒
Patch ⇒ No
Reply to this comment
Look like there is a problem with the pear package?

root@server:~# pear remote-list -c horde | grep HashTable
Horde_HashTable            1.1.0
root@server:~# pear install horde/HashTable-1.1.0
No releases available for package "pear.horde.org/HashTable"
install failed
root@server:~#

Saved Queries